<?php
/**
 * $Horde: nic/icq.php,v 1.24 2005/01/03 14:35:21 jan Exp $
 *
 * Copyright 2000-2005 snowchyld, <drew@slycer.org>
 * Copyright 2001-2005 Jon Parise <jon@horde.org>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/asl.php.
 */

@define('NIC_BASE', dirname(__FILE__));
require_once NIC_BASE . '/lib/base.php';

$title = Nic::getServiceName('icq');
require NIC_TEMPLATES . '/common-header.inc';
Nic::menu();

$uin = Util::getFormData('uin');
$results = '';
$email_next = false;

if (!empty($uin)) {
    $fd = fopen('http://web.icq.com/wwp?Uin=' . $uin, 'r');
    while ($buffer = fgetss($fd, 4096)) {
        if (strpos($buffer, 'Handle/Nickname:')) {
            $results .= str_replace('Handle/Nickname:', 'NickName: ', $buffer);
            $results .= '<br />';
        }
        if (strpos($buffer, 'E-Mail:')) {
            $results .= str_replace('E-Mail', 'Email: ', $buffer);
            $results .= '<br />';
        }
        if (strpos($buffer, 'Hello my name is')) {
            $results .= str_replace('Hello my name is', 'Name:', $buffer);
            $results .= '<br />';
        }
        if ($email_next) {
            $results .= 'Email: ' . $buffer;
            $email_next = false;
        }
        if (strpos($buffer, 'Send me an Email message')) {
            $email_next = true;
        }
    }
    fclose($fd);
}

require NIC_TEMPLATES . '/icq/icq.inc';
require $registry->get('templates', 'horde') . '/common-footer.inc';
