-- $Horde: nic/scripts/sql/nic_data.sql,v 1.2 2004/09/21 03:34:03 chuck Exp $

CREATE TABLE nic_data (
    data_time         INT NOT NULL DEFAULT 0,
    data_hostname     VARCHAR(50) NOT NULL DEFAULT '',
    data_subsystem    VARCHAR(50) NOT NULL DEFAULT '',
    data_item         VARCHAR(128) NOT NULL DEFAULT '',
    data_value        VARCHAR(128) NOT NULL DEFAULT '',
--
    PRIMARY KEY (data_time, data_hostname, data_subsystem, data_item)
);

CREATE INDEX data_hostname_idx ON nic_data (data_hostname);
CREATE INDEX data_subsystem_idx ON nic_data (data_subsystem);
CREATE INDEX data_item_idx ON nic_data (data_item);

GRANT SELECT, INSERT, UPDATE, DELETE ON nic_data TO horde;
